[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButtonFlags

Set type used to store values from the TToolButtonFlag enumeration.

## Declaration

Source position: comctrls.pp line 2086

`type TToolButtonFlags = set of (`
`tbfPressed,` |  | The tool button is in a pressed or down state.
`tbfArrowPressed,` |  | The drop-down indicator is in a pressed or down state.
`tbfMouseInArrow,` |  | The mouse cursor is hovered over the drop-down indicator.
`tbfDropDownMenuShown` |  | The drop-down menu for the tool button is visible.
`);`

## See also

TToolButtonFlag |  | Represents flag values that can be used in a TToolButton instance.